import os

from setuptools import find_packages, setup
from distutils.command.register import register as register_orig
from distutils.command.upload import upload as upload_orig


class RegisterCmd(register_orig):

    def _get_rc_file(self):
        return os.path.join('.', '.pypirc')


class UploadCmd(upload_orig):

    def _get_rc_file(self):
        return os.path.join('.', '.pypirc')


setup(
    name='rest-utilities',
    version='0.5.6',
    description='Python Rest Utilities for our Flask projects',
    packages=find_packages(),
    cmdclass={
        'register': RegisterCmd,
        'upload': UploadCmd,
    }, install_requires=['jsonschema', 'flask', 'google-cloud-logging']
)
